Subject: bug#19504: 11.88; [siunitx] unit appears without backslash

From: Stefan Monnier <[email-masked]>
Date: Wed, 11 Mar 2015 11:27:13 -0400

> Unfortunately no, one can also insert the unit without using macros,
> so we can't always add the leading backslash

So the user could enter "\second \per meter"?

I'm getting the feeling that completing-read-multiple is just not the
right tool for the job.  Could it be that what you want instead is to
have (in the minibuffer) completion that doesn't apply to the whole
minibuffer (but that is instead more like in-buffer completion).

So you'd want a `read-string' where you setup
completion-at-point-functions inside the minibuffer and where you bind
TAB to `completion-at-point'.

        Stefan

PS: The plan is actually to move the minibuffer completion in that
direction for normal minibuffer completion, so that TAB is bound to
completion-at-point in the minibuffer as well.